# MessageQueueSender Interface Reference

Inheritance diagram for MessageQueueSender:
[legend]

List of all members.

## Public Member Functions

| send (Message $message)
| getQueue ()

## Detailed Description

Definition at line 12 of file MessageQueueSender.class.php.

## Member Function Documentation

MessageQueueSender::getQueue | ( |  | ) |

Returns:
  MessageQueue

Implemented in TextFileSender.

MessageQueueSender::send | ( | Message $ | message | ) |

Returns:
  MessageQueueReceiver

Implemented in TextFileSender.

The documentation for this interface was generated from the following file:

- main/Messages/Interface/MessageQueueSender.class.php